Bug 13994 - Add a back link to error message in Reports
Summary: Add a back link to error message in Reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Marc Véron
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-14 09:31 UTC by Marc Véron
Modified: 2015-12-03 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13994 - Add a back link to error message in Reports (1.48 KB, patch)
2015-04-14 09:54 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13994 - Add a back link to error message in Reports (1.54 KB, patch)
2015-04-15 21:35 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13994 - Add a back link to error message in Reports (1.60 KB, patch)
2015-04-17 10:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13994 [QA Followup] - Change "Back" to "Return" (1.01 KB, patch)
2015-04-17 10:44 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-04-14 09:31:50 UTC
To reproduce:
- Go to Home > Reports
- Create from SQL
- Do something that results in an error message, e.g. by entering an UPDATE statement

Result: You get an error message with title "The follwing error was encountered"
But there is now link to go directly back to fix it.

Expected: Link "Back to previous page"
Comment 1 Marc Véron 2015-04-14 09:54:57 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-04-15 21:35:13 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-04-17 10:44:35 UTC
Created attachment 38027 [details] [review]
[PASSED QA] Bug 13994 - Add a back link to error message in Reports

To reproduce:
- Go to Home > Reports
- Create from SQL
- Do something that results in an error message, e.g. by entering an UPDATE statement

Result: You get an error message with title "The follwing error was encountered"
But there is now link to go directly back to fix it.

To test:
- Apply patch
- Repeat steps above
- Verify that a link appears (and works): "Back to previous page"

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2015-04-17 10:44:42 UTC
Created attachment 38028 [details] [review]
Bug 13994 [QA Followup] - Change "Back" to "Return"
Comment 5 Tomás Cohen Arazi 2015-04-23 16:14:31 UTC
Patch pushed to master.

Useful one Marc!